Ubuntu Jammy 22.04 64 bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20230918-7-173ae05/input'...

-----> Setting up package repository...

-----> Starting packaging process

-----> Starting service postgres:15...

-----> Starting service redis...

-----> Additional environment variables

UUID=144.76.242.2:22/b980926d-d3f3-4d22-836e-239fba6e70d6

DATABASE_URL=postgres://postgres:ONNHrQB7JzIh8rII@144.76.242.2:52109/postgres

DATABASE_HOST=144.76.242.2

DATABASE_PORT=52109

REDIS_URL=redis://144.76.242.2:52110

REDIS_HOST=144.76.242.2

REDIS_PORT=52110

HOME=/home/pkgr

-----> Found valid cache

-----> Restoring cache...

-----> Fetching pkgr 84d57f85a7e13e696060bb7d198cce0bc8f70765...

-----> Starting packaging process...

-----> Installing missing build dependencies: libimlib2, libimlib2-dev

-----> Fetching buildpack https://github.com/pkgr/heroku-buildpack-ruby.git at v254-3

-----> Running hook: "/tmp/before_hook20230918-59-6ioc32.sh"

+ uname -a

Linux f775e88dc4ad 5.4.0-1092-kvm #98-Ubuntu SMP Fri May 19 09:21:45 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux

+ ruby -v

ruby 3.1.2p20 (2022-04-12 revision 4491bb740a) [x86_64-linux]

+ env

REDIS_URL=redis://144.76.242.2:52110

DATABASE_URL=postgres://postgres:ONNHrQB7JzIh8rII@144.76.242.2:52109/postgres

REDIS_HOST=144.76.242.2

APP_PKG_ITERATION=1695022490.8d252c9e.jammy

APP_PKG_VERSION=6.2.0-alpha

PWD=/tmp/d20230918-59-i4nma9/opt/zammad

ZAMMAD_WEBSOCKET_PORT=6042

HOME=/home/pkgr

DATABASE_PORT=52109

UUID=144.76.242.2:22/b980926d-d3f3-4d22-836e-239fba6e70d6

ZAMMAD_BIND_IP=127.0.0.1

APP_NAME=zammad

SHLVL=2

DATABASE_HOST=144.76.242.2

REDIS_PORT=52110

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin

ZAMMAD_RAILS_PORT=3000

RAILS_ENV=production

TARGET=ubuntu:22.04

_=/usr/bin/env

+ cat Gemfile.lock

GIT

remote: https://github.com/zammad-deps/autodiscover

revision: ee9b53dfa797ce6d4f970b82beea7fbdd2df56bb

specs:

autodiscover (1.0.2)

httpclient

logging

nokogiri

nori

GIT

remote: https://github.com/zammad-deps/omniauth-weibo-oauth2

revision: 06803ef97f822ede854322587db8049cc67dcfa6

branch: unpin-dependencies

specs:

omniauth-weibo-oauth2 (0.5.2)

omniauth

omniauth-oauth2

GEM

remote: https://rubygems.org/

specs:

PoParser (3.2.6)

simple_po_parser (~> 1.1.6)

aasm (5.5.0)

concurrent-ruby (~> 1.0)

actioncable (6.1.7.6)

actionpack (= 6.1.7.6)

activesupport (= 6.1.7.6)

nio4r (~> 2.0)

websocket-driver (>= 0.6.1)

actionmailbox (6.1.7.6)

actionpack (= 6.1.7.6)

activejob (= 6.1.7.6)

activerecord (= 6.1.7.6)

activestorage (= 6.1.7.6)

activesupport (= 6.1.7.6)

mail (>= 2.7.1)

actionmailer (6.1.7.6)

actionpack (= 6.1.7.6)

actionview (= 6.1.7.6)

activejob (= 6.1.7.6)

activesupport (= 6.1.7.6)

mail (~> 2.5, >= 2.5.4)

rails-dom-testing (~> 2.0)

actionpack (6.1.7.6)

actionview (= 6.1.7.6)

activesupport (= 6.1.7.6)

rack (~> 2.0, >= 2.0.9)

rack-test (>= 0.6.3)

rails-dom-testing (~> 2.0)

rails-html-sanitizer (~> 1.0, >= 1.2.0)

actiontext (6.1.7.6)

actionpack (= 6.1.7.6)

activerecord (= 6.1.7.6)

activestorage (= 6.1.7.6)

activesupport (= 6.1.7.6)

nokogiri (>= 1.8.5)

actionview (6.1.7.6)

activesupport (= 6.1.7.6)

builder (~> 3.1)

erubi (~> 1.4)

rails-dom-testing (~> 2.0)

rails-html-sanitizer (~> 1.1, >= 1.2.0)

activejob (6.1.7.6)

activesupport (= 6.1.7.6)

globalid (>= 0.3.6)

activemodel (6.1.7.6)

activesupport (= 6.1.7.6)

activerecord (6.1.7.6)

activemodel (= 6.1.7.6)

activesupport (= 6.1.7.6)

activerecord-import (1.5.0)

activerecord (>= 4.2)

activerecord-nulldb-adapter (0.9.0)

activerecord (>= 5.2.0, < 7.1)

activerecord-session_store (2.1.0)

actionpack (>= 6.1)

activerecord (>= 6.1)

cgi (>= 0.3.6)

multi_json (~> 1.11, >= 1.11.2)

rack (>= 2.0.8, < 4)

railties (>= 6.1)

activestorage (6.1.7.6)

actionpack (= 6.1.7.6)

activejob (= 6.1.7.6)

activerecord (= 6.1.7.6)

activesupport (= 6.1.7.6)

marcel (~> 1.0)

mini_mime (>= 1.1.0)

activesupport (6.1.7.6)

concurrent-ruby (~> 1.0, >= 1.0.2)

i18n (>= 1.6, < 2)

minitest (>= 5.1)

tzinfo (~> 2.0)

zeitwerk (~> 2.3)

acts_as_list (1.1.0)

activerecord (>= 4.2)

addressable (2.8.5)

public_suffix (>= 2.0.2, < 6.0)

android_key_attestation (0.3.0)

argon2 (2.3.0)

ffi (~> 1.15)

ffi-compiler (~> 1.0)

ast (2.4.2)

autoprefixer-rails (10.4.15.0)

execjs (~> 2)

awrence (1.2.1)

base64 (0.1.1)

bindata (2.4.15)

binding_of_caller (1.0.0)

debug_inspector (>= 0.0.1)

biz (1.8.2)

clavius (~> 1.0)

tzinfo

bootsnap (1.16.0)

msgpack (~> 1.2)

brakeman (6.0.1)

browser (5.3.1)

buftok (0.2.0)

builder (3.2.4)

byebug (11.1.3)

byk (1.1.0)

capybara (3.39.2)

addressable

matrix

mini_mime (>= 0.1.3)

nokogiri (~> 1.8)

rack (>= 1.6.0)

rack-test (>= 0.6.3)

regexp_parser (>= 1.5, < 3.0)

xpath (~> 3.2)

cbor (0.5.9.6)

cgi (0.3.6)

childprocess (4.1.0)

chunky_png (1.4.0)

clavius (1.0.4)

clearbit (0.3.3)

nestful (~> 1.1.0)

coderay (1.1.3)

coffee-rails (5.0.0)

coffee-script (>= 2.2.0)

railties (>= 5.2.0)

coffee-script (2.4.1)

coffee-script-source

execjs

coffee-script-source (1.12.2)

composite_primary_keys (13.0.7)

activerecord (~> 6.1.0)

concurrent-ruby (1.2.2)

cose (1.3.0)

cbor (~> 0.5.9)

openssl-signature_algorithm (~> 1.0)

crack (0.4.5)

rexml

crass (1.0.6)

csv (3.2.7)

daemons (1.4.1)

dalli (3.2.5)

date (3.3.3)

debug_inspector (1.1.0)

delayed_job (4.1.11)

activesupport (>= 3.0, < 8.0)

delayed_job_active_record (4.1.7)

activerecord (>= 3.0, < 8.0)

delayed_job (>= 3.0, < 5)

deprecation_toolkit (2.0.3)

activesupport (>= 5.2)

diff-lcs (1.5.0)

diffy (3.4.2)

domain_name (0.5.20190701)

unf (>= 0.0.5, < 1.0.0)

doorkeeper (5.6.6)

railties (>= 5)

dotenv (2.8.1)

dry-cli (1.0.0)

dry-core (1.0.1)

concurrent-ruby (~> 1.0)

zeitwerk (~> 2.6)

dry-inflector (1.0.0)

dry-logic (1.5.0)

concurrent-ruby (~> 1.0)

dry-core (~> 1.0, < 2)

zeitwerk (~> 2.6)

dry-struct (1.6.0)

dry-core (~> 1.0, < 2)

dry-types (>= 1.7, < 2)

ice_nine (~> 0.11)

zeitwerk (~> 2.6)

dry-types (1.7.1)

concurrent-ruby (~> 1.0)

dry-core (~> 1.0)

dry-inflector (~> 1.0)

dry-logic (~> 1.4)

zeitwerk (~> 2.6)

eco (1.0.0)

coffee-script

eco-source

execjs

eco-source (1.1.0.rc.1)

em-websocket (0.5.3)

eventmachine (>= 0.12.9)

http_parser.rb (~> 0)

email_address (0.2.4)

simpleidn

equalizer (0.0.11)

erubi (1.12.0)

eventmachine (1.2.7)

execjs (2.9.1)

factory_bot (6.2.1)

activesupport (>= 5.0.0)

factory_bot_rails (6.2.0)

factory_bot (~> 6.2.0)

railties (>= 5.0.0)

faker (3.2.1)

i18n (>= 1.8.11, < 2)

faraday (2.7.11)

base64

faraday-net_http (>= 2.0, < 3.1)

ruby2_keywords (>= 0.0.4)

faraday-mashify (0.1.1)

faraday (~> 2.0)

hashie

faraday-multipart (1.0.4)

multipart-post (~> 2)

faraday-net_http (3.0.2)

ffi (1.15.5)

ffi-compiler (1.0.1)

ffi (>= 1.0.0)

rake

gli (2.21.1)

globalid (1.1.0)

activesupport (>= 5.0)

gmail_xoauth (0.4.2)

oauth (>= 0.3.6)

graphql (2.1.0)

graphql-batch (0.5.3)

graphql (>= 1.12.18, < 3)

promise.rb (~> 0.7.2)

hashdiff (1.0.1)

hashie (5.0.0)

hiredis (0.6.3)

htmlentities (4.3.4)

http (4.4.1)

addressable (~> 2.3)

http-cookie (~> 1.0)

http-form_data (~> 2.2)

http-parser (~> 1.2.0)

http-cookie (1.0.5)

domain_name (~> 0.5)

http-form_data (2.3.0)

http-parser (1.2.3)

ffi-compiler (>= 1.0, < 2.0)

http_parser.rb (0.6.0)

httpclient (2.8.3)

i18n (1.14.1)

concurrent-ruby (~> 1.0)

icalendar (2.9.0)

ice_cube (~> 0.16)

icalendar-recurrence (1.1.3)

icalendar (~> 2.0)

ice_cube (~> 0.16)

ice_cube (0.16.4)

ice_nine (0.11.2)

inflection (1.0.0)

iniparse (1.5.0)

interception (0.5)

json (2.6.3)

jwt (2.3.0)

koala (3.5.0)

addressable

faraday

faraday-multipart

json (>= 1.8)

rexml

language_server-protocol (3.17.0.3)

listen (3.8.0)

rb-fsevent (~> 0.10, >= 0.10.3)

rb-inotify (~> 0.9, >= 0.9.10)

little-plugger (1.1.4)

localhost (1.1.10)

logging (2.3.1)

little-plugger (~> 1.1)

multi_json (~> 1.14)

loofah (2.21.3)

crass (~> 1.0.2)

nokogiri (>= 1.12.0)

mail (2.8.1)

mini_mime (>= 0.1.1)

net-imap

net-pop

net-smtp

marcel (1.0.2)

matrix (0.4.2)

memoizable (0.4.2)

thread_safe (~> 0.3, >= 0.3.1)

messagebird-rest (4.0.0)

jwt (~> 2.3.0)

method_source (1.0.0)

mime-types (3.5.1)

mime-types-data (~> 3.2015)

mime-types-data (3.2023.0808)

mini_mime (1.1.5)

mini_portile2 (2.8.4)

minitest (5.20.0)

minitest-profile (0.0.2)

msgpack (1.7.2)

multi_json (1.15.0)

multi_xml (0.6.0)

multipart-post (2.3.0)

mysql2 (0.5.5)

naught (1.1.0)

nestful (1.1.4)

net-ftp (0.2.0)

net-protocol

time

net-http (0.3.2)

uri

net-imap (0.3.7)

date

net-protocol

net-ldap (0.18.0)

net-pop (0.1.2)

net-protocol

net-protocol (0.2.1)

timeout

net-smtp (0.3.3)

net-protocol

nio4r (2.5.9)

nokogiri (1.15.4)

mini_portile2 (~> 2.8.2)

racc (~> 1.4)

nori (2.6.0)

oauth (1.1.0)

oauth-tty (~> 1.0, >= 1.0.1)

snaky_hash (~> 2.0)

version_gem (~> 1.1)

oauth-tty (1.0.5)

version_gem (~> 1.1, >= 1.1.1)

oauth2 (2.0.9)

faraday (>= 0.17.3, < 3.0)

jwt (>= 1.0, < 3.0)

multi_xml (~> 0.5)

rack (>= 1.2, < 4)

snaky_hash (~> 2.0)

version_gem (~> 1.1)

omniauth (2.1.1)

hashie (>= 3.4.6)

rack (>= 2.2.3)

rack-protection

omniauth-facebook (9.0.0)

omniauth-oauth2 (~> 1.2)

omniauth-github (2.0.1)

omniauth (~> 2.0)

omniauth-oauth2 (~> 1.8)

omniauth-gitlab (4.1.0)

omniauth (~> 2.0)

omniauth-oauth2 (~> 1.8.0)

omniauth-google-oauth2 (1.1.1)

jwt (>= 2.0)

oauth2 (~> 2.0.6)

omniauth (~> 2.0)

omniauth-oauth2 (~> 1.8.0)

omniauth-linkedin-oauth2 (1.0.1)

omniauth-oauth2

omniauth-microsoft-office365 (0.0.8)

omniauth

omniauth-oauth2

omniauth-oauth (1.2.0)

oauth

omniauth (>= 1.0, < 3)

omniauth-oauth2 (1.8.0)

oauth2 (>= 1.4, < 3)

omniauth (~> 2.0)

omniauth-rails_csrf_protection (1.0.1)

actionpack (>= 4.2)

omniauth (~> 2.0)

omniauth-saml (2.1.0)

omniauth (~> 2.0)

ruby-saml (~> 1.12)

omniauth-twitter (1.4.0)

omniauth-oauth (~> 1.1)

rack

openssl (3.1.0)

openssl-signature_algorithm (1.3.0)

openssl (> 2.0)

overcommit (0.60.0)

childprocess (>= 0.6.3, < 5)

iniparse (~> 1.4)

rexml (~> 3.2)

parallel (1.23.0)

parser (3.2.2.3)

ast (~> 2.4.1)

racc

pg (1.2.3)

power_assert (2.0.3)

promise.rb (0.7.4)

pry (0.14.2)

coderay (~> 1.1)

method_source (~> 1.0)

pry-rails (0.3.9)

pry (>= 0.10.4)

pry-remote (0.1.8)

pry (~> 0.9)

slop (~> 3.0)

pry-rescue (1.5.2)

interception (>= 0.5)

pry (>= 0.12.0)

pry-stack_explorer (0.6.1)

binding_of_caller (~> 1.0)

pry (~> 0.13)

public_suffix (5.0.3)

puma (6.3.1)

nio4r (~> 2.0)

pundit (2.3.1)

activesupport (>= 3.0.0)

pundit-matchers (3.1.2)

rspec-core (~> 3.12)

rspec-expectations (~> 3.12)

rspec-mocks (~> 3.12)

rspec-support (~> 3.12)

racc (1.7.1)

rack (2.2.8)

rack-attack (6.7.0)

rack (>= 1.0, < 4)

rack-protection (3.1.0)

rack (~> 2.2, >= 2.2.4)

rack-proxy (0.7.6)

rack

rack-test (2.1.0)

rack (>= 1.3)

rails (6.1.7.6)

actioncable (= 6.1.7.6)

actionmailbox (= 6.1.7.6)

actionmailer (= 6.1.7.6)

actionpack (= 6.1.7.6)

actiontext (= 6.1.7.6)

actionview (= 6.1.7.6)

activejob (= 6.1.7.6)

activemodel (= 6.1.7.6)

activerecord (= 6.1.7.6)

activestorage (= 6.1.7.6)

activesupport (= 6.1.7.6)

bundler (>= 1.15.0)

railties (= 6.1.7.6)

sprockets-rails (>= 2.0.0)

rails-controller-testing (1.0.5)

actionpack (>= 5.0.1.rc1)

actionview (>= 5.0.1.rc1)

activesupport (>= 5.0.1.rc1)

rails-dom-testing (2.2.0)

activesupport (>= 5.0.0)

minitest

nokogiri (>= 1.6)

rails-html-sanitizer (1.6.0)

loofah (~> 2.21)

nokogiri (~> 1.14)

railties (6.1.7.6)

actionpack (= 6.1.7.6)

activesupport (= 6.1.7.6)

method_source

rake (>= 12.2)

thor (~> 1.0)

rainbow (3.1.1)

rake (13.0.6)

rb-fsevent (0.11.2)

rb-inotify (0.10.1)

ffi (~> 1.0)

rchardet (1.8.0)

redis (4.8.1)

regexp_parser (2.8.1)

rexml (3.2.6)

rotp (6.3.0)

rspec-core (3.12.2)

rspec-support (~> 3.12.0)

rspec-expectations (3.12.3)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.12.0)

rspec-mocks (3.12.6)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.12.0)

rspec-rails (6.0.3)

actionpack (>= 6.1)

activesupport (>= 6.1)

railties (>= 6.1)

rspec-core (~> 3.12)

rspec-expectations (~> 3.12)

rspec-mocks (~> 3.12)

rspec-support (~> 3.12)

rspec-retry (0.6.2)

rspec-core (> 3.3)

rspec-support (3.12.1)

rszr (1.3.0)

rubocop (1.56.3)

base64 (~> 0.1.1)

json (~> 2.3)

language_server-protocol (>= 3.17.0)

parallel (~> 1.10)

parser (>= 3.2.2.3)

rainbow (>= 2.2.2, < 4.0)

regexp_parser (>= 1.8, < 3.0)

rexml (>= 3.2.5, < 4.0)

rubocop-ast (>= 1.28.1, < 2.0)

ruby-progressbar (~> 1.7)

unicode-display_width (>= 2.4.0, < 3.0)

rubocop-ast (1.29.0)

parser (>= 3.2.1.0)

rubocop-capybara (2.18.0)

rubocop (~> 1.41)

rubocop-factory_bot (2.23.1)

rubocop (~> 1.33)

rubocop-faker (1.1.0)

faker (>= 2.12.0)

rubocop (>= 0.82.0)

rubocop-graphql (1.4.0)

rubocop (>= 0.90, < 2)

rubocop-inflector (0.2.1)

activesupport

rubocop

rubocop-rspec

rubocop-performance (1.19.1)

rubocop (>= 1.7.0, < 2.0)

rubocop-ast (>= 0.4.0)

rubocop-rails (2.21.1)

activesupport (>= 4.2.0)

rack (>= 1.1)

rubocop (>= 1.33.0, < 2.0)

rubocop-rspec (2.24.0)

rubocop (~> 1.33)

rubocop-capybara (~> 2.17)

rubocop-factory_bot (~> 2.22)

ruby-progressbar (1.13.0)

ruby-saml (1.15.0)

nokogiri (>= 1.13.10)

rexml

ruby2_keywords (0.0.5)

rubyntlm (0.6.3)

rubyzip (2.3.2)

safety_net_attestation (0.4.0)

jwt (~> 2.0)

sassc (2.4.0)

ffi (~> 1.9)

sassc-rails (2.1.2)

railties (>= 4.0.0)

sassc (>= 2.0)

sprockets (> 3.0)

sprockets-rails

tilt

selenium-webdriver (4.11.0)

rexml (~> 3.2, >= 3.2.5)

rubyzip (>= 1.2.2, < 3.0)

websocket (~> 1.0)

shoulda-matchers (5.3.0)

activesupport (>= 5.2.0)

simple_oauth (0.3.1)

simple_po_parser (1.1.6)

simpleidn (0.2.1)

unf (~> 0.1.4)

slack-notifier (2.4.0)

slack-ruby-client (2.2.0)

faraday (>= 2.0)

faraday-mashify

faraday-multipart

gli

hashie

slop (3.6.0)

snaky_hash (2.0.1)

hashie

version_gem (~> 1.1, >= 1.1.1)

sprockets (3.7.2)

concurrent-ruby (~> 1.0)

rack (> 1, < 3)

sprockets-rails (3.4.2)

actionpack (>= 5.2)

activesupport (>= 5.2)

sprockets (>= 3.0.0)

tcr (0.4.0)

telegram-bot-ruby (1.0.0)

dry-struct (~> 1.6)

faraday (~> 2.0)

faraday-multipart (~> 1.0)

zeitwerk (~> 2.6)

telephone_number (1.4.20)

terser (1.1.18)

execjs (>= 0.3.0, < 3)

test-unit (3.6.1)

power_assert

thor (1.2.2)

thread_safe (0.3.6)

tilt (2.2.0)

time (0.2.2)

date

timeout (0.4.0)

tpm-key_attestation (0.12.0)

bindata (~> 2.4)

openssl (> 2.0)

openssl-signature_algorithm (~> 1.0)

twilio-ruby (6.6.0)

faraday (>= 0.9, < 3.0)

jwt (>= 1.5, < 3.0)

nokogiri (>= 1.6, < 2.0)

twitter (7.0.0)

addressable (~> 2.3)

buftok (~> 0.2.0)

equalizer (~> 0.0.11)

http (~> 4.0)

http-form_data (~> 2.0)

http_parser.rb (~> 0.6.0)

memoizable (~> 0.4.0)

multipart-post (~> 2.0)

naught (~> 1.0)

simple_oauth (~> 0.3.0)

tzinfo (2.0.6)

concurrent-ruby (~> 1.0)

tzinfo-data (1.2023.3)

tzinfo (>= 1.0.0)

unf (0.1.4)

unf_ext

unf_ext (0.0.8.2)

unicode-display_width (2.4.2)

uri (0.12.2)

vcr (6.2.0)

version_gem (1.1.3)

viewpoint (1.1.1)

httpclient

logging

nokogiri

rubyntlm

vite_rails (3.0.15)

railties (>= 5.1, < 8)

vite_ruby (~> 3.0, >= 3.2.2)

vite_ruby (3.3.4)

dry-cli (>= 0.7, < 2)

rack-proxy (~> 0.6, >= 0.6.1)

zeitwerk (~> 2.2)

webauthn (3.0.0)

android_key_attestation (~> 0.3.0)

awrence (~> 1.1)

bindata (~> 2.4)

cbor (~> 0.5.9)

cose (~> 1.1)

openssl (>= 2.2)

safety_net_attestation (~> 0.4.0)

tpm-key_attestation (~> 0.12.0)

webmock (3.19.1)

addressable (>= 2.8.0)

crack (>= 0.3.2)

hashdiff (>= 0.4.0, < 2.0.0)

websocket (1.2.9)

websocket-driver (0.7.6)

websocket-extensions (>= 0.1.0)

websocket-extensions (0.1.5)

write_xlsx (1.11.1)

rubyzip (>= 1.0.0)

xpath (3.2.0)

nokogiri (~> 1.8)

zeitwerk (2.6.11)

zendesk_api (2.0.1)

faraday (> 2.0.0)

faraday-multipart

hashie (>= 3.5.2, < 6.0.0)

inflection

mini_mime

multipart-post (~> 2.0)

PLATFORMS

ruby

DEPENDENCIES

PoParser

aasm

activerecord-import

activerecord-nulldb-adapter

activerecord-session_store

acts_as_list

argon2

autodiscover!

autoprefixer-rails

biz

bootsnap

brakeman

browser

byebug

byk

capybara

chunky_png

clearbit

coffee-rails

composite_primary_keys

csv

daemons

dalli

delayed_job_active_record

deprecation_toolkit

diffy

doorkeeper

dotenv

eco

em-websocket

email_address

eventmachine

execjs

factory_bot_rails

faker

gmail_xoauth

graphql

graphql-batch

hiredis

htmlentities

icalendar

icalendar-recurrence

json

koala

listen

localhost

mail

messagebird-rest

mime-types

minitest-profile

mysql2

net-ftp

net-http

net-imap

net-ldap

net-pop

net-smtp

oauth2

omniauth-facebook

omniauth-github

omniauth-gitlab

omniauth-google-oauth2

omniauth-linkedin-oauth2

omniauth-microsoft-office365

omniauth-rails_csrf_protection

omniauth-saml

omniauth-twitter

omniauth-weibo-oauth2!

openssl

overcommit

pg (~> 1.2.0)

pry-rails

pry-remote

pry-rescue

pry-stack_explorer

puma

pundit

pundit-matchers

rack-attack

rails (~> 6.1.0)

rails-controller-testing

rchardet (>= 1.8.0)

redis (>= 3, < 5)

rotp

rspec-rails

rspec-retry

rszr

rubocop

rubocop-faker

rubocop-graphql

rubocop-inflector

rubocop-performance

rubocop-rails

rubocop-rspec

sassc-rails

selenium-webdriver

shoulda-matchers

simpleidn

slack-notifier

slack-ruby-client

sprockets (~> 3.7.2)

tcr

telegram-bot-ruby

telephone_number

terser

test-unit

thor

time (>= 0.2.2)

twilio-ruby

twitter

tzinfo-data

uri (>= 0.12.1)

vcr

viewpoint

vite_rails

webauthn

webmock

write_xlsx

zendesk_api

RUBY VERSION

ruby 3.1.3p185

BUNDLED WITH

2.4.1

+ '[' -z 1695022490.8d252c9e.jammy ']'

+ ZAMMAD_VERSION=6.2.0-alpha-1695022490.8d252c9e.jammy

+ echo 'Setting VERSION information to 6.2.0-alpha-1695022490.8d252c9e.jammy'

Setting VERSION information to 6.2.0-alpha-1695022490.8d252c9e.jammy

+ echo 6.2.0-alpha-1695022490.8d252c9e.jammy

+ script/build/cleanup.sh

+ rm app/assets/javascripts/app/controllers/layout_ref.coffee

+ rm -rf app/assets/javascripts/app/views/layout_ref/

+ rm -rf test spec app/frontend/tests app/frontend/cypress .cypress

+ find app/frontend/ -type d -name __tests__ -exec rm -rf '{}' +

+ rm .rspec

+ find app/frontend/ -name '*.story.vue' -exec rm '{}' +

+ rm .yarnrc

+ rm -rf .yarn/cache

+ rm -rf .github .gitlab

+ rm .gitlab-ci.yml

+ rm .rubocop.yml

+ rm -rf .rubocop

+ rm .stylelintrc.json .eslintignore .eslintrc .eslintrc.js .prettierrc.json

+ rm coffeelint.json

+ rm -rf .coffeelint

+ rm .overcommit.sh .overcommit.yml

+ rm .codeclimate.yml

+ rm -rf doc/developer_manual

-----> Ruby app

Failed to download a Ruby executable for bootstrapping!

This is most likely a temporary internal error. If the problem

/home/pkgr/.pkgr/buildpacks/builtin/dc5ce06eed7603861a6a9eb8b7c74281eebe9890/heroku-buildpack-ruby/bin/compile: line 31: /tmp/tmp.agKHBsBsGM/bin/ruby: No such file or directory

persists, make sure that you are not running a custom or forked

version of the Heroku Ruby buildpack which may need updating.

url: buildcurl.com?recipe=ruby&version=3.1.4&target=ubuntu:22.04

! ERROR: compile failed

Failed to package application

tar: This does not look like a tar archive

tar: Exiting with failure status due to previous errors

! FAILED - Build error.

! Please contact support.